# Variable number_slider

number_slider: {
blockDisplay: boolean;
configFields: (
field: any,
) => { name: string; required: boolean; type: any }[];
description: string;
isEdit: boolean;
run: (
nm: any,
v: any,
attrs?: {},
cls: any,
required: any,
field: any,
) => string;
} = ...

#### Type Declaration

- ##### blockDisplay: boolean

- ##### configFields: (field: any) => { name: string; required: boolean; type: any }[]

- ##### description: string

- ##### isEdit: boolean

- ##### run: (nm: any, v: any, attrs?: {}, cls: any, required: any, field: any) => string

- Defined in packages/saltcorn-data/base-plugin/types.js:2013